$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.86-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.86-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'C6AACE0CD14D76D533C7832237B5587AE0D50F09BF31C38EAF66425CB2EDDE97'
  checksumType = 'sha256'
  checksum64 = 'C6AACE0CD14D76D533C7832237B5587AE0D50F09BF31C38EAF66425CB2EDDE97'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.33.86-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
